#include "common.hh"
#include "parseargs.hh"
#include "drawing.hh"

int main(int ac, char **av) {
  auto const [input_file, output_file, video_output, iterations] =
      parse_args(ac, av);
  spdlog::info("Input file:\t{}", input_file);
  spdlog::info("Output file:\t{}", output_file);
  spdlog::info("Video output:\t{}", video_output);
  spdlog::info("Iterations:\t{}", iterations);
  auto [input_image, process_image] = init_image(input_file);

  draw_shape(process_image, cv::Point{0, 0}, 10, cv::Scalar(100, 100, 100),
             Shapes::Square);

  cv::imwrite("some.jpg", process_image);

  // Launch image generation

  return 0;
}
